org.richfaces.component

## Class UITab

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - org.ajax4jsf.component.AjaxActionComponent
        - - org.richfaces.component.UITab

- All Implemented Interfaces:
    javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource
  Direct Known Subclasses:
    HtmlTab

      public abstract class UITab
      extends org.ajax4jsf.component.AjaxActionComponent
      implements org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource, javax.faces.component.ActionSource

  Base class for panel tab.
  Version:
    $Revision: 1.12 $ $Date: 2007/02/21 20:35:05 $
  Author:
    asmirnov@exadel.com (latest modification by $Author: ishabalov $)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.ajax4jsf.component.AjaxActionComponent

      `FOCUS_DATA_ID`

    - ### Fields inherited from class javax.faces.component.UICommand

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface org.ajax4jsf.component.AjaxComponent

      `AJAX_COMPONETT_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UITab()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeTab(javax.faces.context.FacesContext context, boolean active)`
    `abstract java.lang.String` | `getLabel()`
    `abstract java.lang.String` | `getLabelWidth()`
    `abstract java.lang.Object` | `getName()`
    `UITabPanel` | `getPane()` Get enclosed `UITabPanel` tab panel for this component.
    `abstract java.lang.String` | `getSwitchType()`
    `java.lang.String` | `getSwitchTypeOrDefault()`
    `abstract java.lang.String` | `getTitle()`
    `abstract java.lang.Object` | `getValue()` Get Model Value for this Tab.
    `boolean` | `isActive()`
    `abstract boolean` | `isDisabled()`
    `void` | `setActive(boolean active)`
    `abstract void` | `setDisabled(boolean disabled)`
    `abstract void` | `setLabel(java.lang.String newvalue)`
    `abstract void` | `setLabelWidth(java.lang.String newvalue)`
    `abstract void` | `setName(java.lang.Object newvalue)`
    `abstract void` | `setSwitchType(java.lang.String newvalue)`
    `abstract void` | `setTitle(java.lang.String newvalue)`
    `protected void` | `setupReRender()`
    `abstract void` | `setValue(java.lang.Object newvalue)` Set Model Value for this Tab.

    - ### Methods inherited from class org.ajax4jsf.component.AjaxActionComponent

      `addAjaxListener, broadcast, getAjaxListeners, getSingleComponent, queueEvent, removeAjaxListener, setupReRender`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getFamily, isImmediate, removeActionListener, restoreState, saveState, setAction, setActionExpression, setActionListener, setImmediate`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.component.AjaxComponent

      `getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getProcess, getRequestDelay, getReRender, getSimilarityGroupingId, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setProcess, setRequestDelay, setReRender, setSimilarityGroupingId, setStatus, setTimeout`

    - ### Methods inherited from interface org.ajax4jsf.event.AjaxSource

      `addAjaxListener, getAjaxListeners, removeAjaxListener`

    - ### Methods inherited from interface javax.faces.component.ActionSource

      `addActionListener, getAction, getActionListener, getActionListeners, isImmediate, removeActionListener, setAction, setActionListener, setImmediate`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UITab

          public UITab()

  - ### Method Detail

    - #### encodeTab

          public void encodeTab(javax.faces.context.FacesContext context,
                       boolean active)
                         throws java.io.IOException

      Parameters:
        `context` -
        `active` -
      Throws:
        `java.io.IOException`

    - #### getPane

          public UITabPanel getPane()
                             throws javax.faces.FacesException

      Get enclosed `UITabPanel` tab panel for this component.
      Returns:
        `UITabPanel`
      Throws:
        `javax.faces.FacesException`

    - #### setupReRender

          protected void setupReRender()

      Overrides:
        `setupReRender` in class `org.ajax4jsf.component.AjaxActionComponent`

    - #### isActive

          public boolean isActive()

      Returns:
        Returns the active.

    - #### setActive

          public void setActive(boolean active)

      Parameters:
        `active` - The active to set. This method should never be called from user code.

    - #### getValue

          public abstract java.lang.Object getValue()

      Get Model Value for this Tab.
      Overrides:
        `getValue` in class `javax.faces.component.UICommand`
      Returns:
        value from local variable or value bindings

    - #### setValue

          public abstract void setValue(java.lang.Object newvalue)

      Set Model Value for this Tab.
      Overrides:
        `setValue` in class `javax.faces.component.UICommand`
      Parameters:
        `newvalue` -

    - #### getName

          public abstract java.lang.Object getName()

    - #### setName

          public abstract void setName(java.lang.Object newvalue)

    - #### isDisabled

          public abstract boolean isDisabled()

    - #### setDisabled

          public abstract void setDisabled(boolean disabled)

    - #### getLabel

          public abstract java.lang.String getLabel()

    - #### setLabel

          public abstract void setLabel(java.lang.String newvalue)

    - #### getLabelWidth

          public abstract java.lang.String getLabelWidth()

    - #### setLabelWidth

          public abstract void setLabelWidth(java.lang.String newvalue)

    - #### getTitle

          public abstract java.lang.String getTitle()

    - #### setTitle

          public abstract void setTitle(java.lang.String newvalue)

    - #### getSwitchTypeOrDefault

          public java.lang.String getSwitchTypeOrDefault()

    - #### getSwitchType

          public abstract java.lang.String getSwitchType()

    - #### setSwitchType

          public abstract void setSwitchType(java.lang.String newvalue)

Copyright © 2013. All Rights Reserved.